package websockets;

import io.undertow.websockets.core.AbstractReceiveListener;
import io.undertow.websockets.core.BufferedTextMessage;
import io.undertow.websockets.core.WebSocketChannel;
import io.undertow.websockets.core.WebSockets;

import java.util.ArrayList;

public class CuisineWebSocketChichatHandler extends AbstractReceiveListener {

    final int MAX_MESSAGES = 5;
    ArrayList<String> vMessageHistory;

    protected CuisineWebSocketChichatHandler() {

    }

    protected void onFullTextMessage(WebSocketChannel iChannel, BufferedTextMessage iTextMessage) {
        String vMessageContent = iTextMessage.getData();
        System.out.println("Received " + iTextMessage.toString());
        //Handle message on webSocket
        WebSockets.sendText(vMessageContent, iChannel, null);
    }

}